HIMS ERP 1.0 - Feature #527

Create a Multi language support for the application
28/05/2024 11:35 AM - Pratyusha Atmakuri

Status: In Progress Start date: 28/05/2024
Priority: Normal Due date: 06/06/2024
Assignee: Pratyusha Atmakuri % Done: 80%
Category: Estimated time: 0:00 hour
Target version: Spent time: 16:00 hours
Deployed In: Category:

Description

History

#1 - 27/05/2024 11:07 PM - Pratyusha Atmakuri

- Tracker changed from Bug to Feature

#2 - 03/06/2024 10:43 AM - Pratyusha Atmakuri
- File Language_Conversion.mov added

- File Language_Conversion.zip added

- Due date set to 06/06/2024

- Status changed from New to In Progress

- % Done changed from 0 to 80
Need to install this plugin
npm install @ngx-translate/core @ngx-translate/http-loader

Configure i18 files inside assets folder to load from the local (en.json, hi.json)

App.module.ts file has to change, please refer to attached code base for more info

Files

Language_Conversion.mov 30.1 MB 03/06/2024 Pratyusha Atmakuri

Language_Conversion.zip 73.9 MB 03/06/2024 Pratyusha Atmakuri
